import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { InsuranceCredentialWhereInputObjectSchema as InsuranceCredentialWhereInputObjectSchema } from './InsuranceCredentialWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => InsuranceCredentialWhereInputObjectSchema).optional()
}).strict();
export const UserCountOutputTypeCountInsuranceCredentialsArgsObjectSchema = makeSchema();
export const UserCountOutputTypeCountInsuranceCredentialsArgsObjectZodSchema = makeSchema();
